Package io.milvus.param

## Enum IndexType

- java.lang.Object
- - java.lang.Enum<IndexType>
  - - io.milvus.param.IndexType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IndexType>`

      public enum IndexType
      extends java.lang.Enum<IndexType>

  Represents the available index types. For more information: @see Index Types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTOINDEX` |
    `BIN_FLAT` |
    `BIN_IVF_FLAT` |
    `DISKANN` |
    `FLAT` |
    `GPU_IVF_FLAT` |
    `GPU_IVF_PQ` |
    `HNSW` |
    `INVALID` |
    `IVF_FLAT` |
    `IVF_PQ` |
    `IVF_SQ8` |
    `SCANN` |
    `STL_SORT` |
    `TRIE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IndexType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IndexType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INVALID

          public static final IndexType INVALID

    - #### FLAT

          public static final IndexType FLAT

    - #### IVF_FLAT

          public static final IndexType IVF_FLAT

    - #### IVF_SQ8

          public static final IndexType IVF_SQ8

    - #### IVF_PQ

          public static final IndexType IVF_PQ

    - #### HNSW

          public static final IndexType HNSW

    - #### DISKANN

          public static final IndexType DISKANN

    - #### AUTOINDEX

          public static final IndexType AUTOINDEX

    - #### SCANN

          public static final IndexType SCANN

    - #### GPU_IVF_FLAT

          public static final IndexType GPU_IVF_FLAT

    - #### GPU_IVF_PQ

          public static final IndexType GPU_IVF_PQ

    - #### BIN_FLAT

          public static final IndexType BIN_FLAT

    - #### BIN_IVF_FLAT

          public static final IndexType BIN_IVF_FLAT

    - #### TRIE

          public static final IndexType TRIE

    - #### STL_SORT

          public static final IndexType STL_SORT

  - ### Method Detail

    - #### values

          public static IndexType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IndexType c : IndexType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IndexType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null